## org.hibernate.mapping
Class Property

    java.lang.Object
      org.hibernate.mapping.Property

All Implemented Interfaces:
  Serializable, MetaAttributable

Direct Known Subclasses:
  Backref, IndexBackref, SyntheticProperty

    public class Property

extends Object
implements Serializable, MetaAttributable

Represents a property as part of an entity or a component.

Author:
  Gavin King
See Also:
  Serialized Form

Constructor Summary
`Property()`

Method Summary
`String` `getAccessorPropertyName(EntityMode mode)`
`String` `getCascade()`
`CascadeStyle` `getCascadeStyle()`
`Iterator` `getColumnIterator()`
`int` `getColumnSpan()`
`PropertyGeneration` `getGeneration()`
`Getter` `getGetter(Class clazz)`
`MetaAttribute` `getMetaAttribute(String attributeName)`
`Map` `getMetaAttributes()`
`String` `getName()`
`String` `getNodeName()`
`PersistentClass` `getPersistentClass()`
`PropertyAccessor` `getPropertyAccessor(Class clazz)`
`String` `getPropertyAccessorName()`
`Setter` `getSetter(Class clazz)`
`Type` `getType()`
`Value` `getValue()`
`boolean` `isBackRef()`
`boolean` `isBasicPropertyAccessor()`
`boolean` `isComposite()`
`boolean` `isInsertable()`
`boolean` `isLazy()`
`boolean` `isNaturalIdentifier()`
`boolean` `isOptimisticLocked()`
`boolean` `isOptional()`
`boolean` `isPrimitive(Class clazz)`
`boolean` `isSelectable()`
`boolean` `isSynthetic()` Does this property represent a synthetic property? A synthetic property is one we create during metamodel binding to represent a collection of columns but which does not represent a property physically available on the entity.
`boolean` `isUpdateable()`
`boolean` `isValid(Mapping mapping)`
`void` `setCascade(String cascade)`
`void` `setGeneration(PropertyGeneration generation)`
`void` `setInsertable(boolean insertable)`
`void` `setLazy(boolean lazy)`
`void` `setMetaAttributes(Map metas)`
`void` `setName(String name)`
`void` `setNaturalIdentifier(boolean naturalIdentifier)`
`void` `setNodeName(String nodeName)`
`void` `setOptimisticLocked(boolean optimisticLocked)`
`void` `setOptional(boolean optional)`
`void` `setPersistentClass(PersistentClass persistentClass)`
`void` `setPropertyAccessorName(String string)`
`void` `setSelectable(boolean selectable)`
`void` `setUpdateable(boolean mutable)`
`void` `setValue(Value value)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Property

    public Property()

Method Detail

### isBackRef

    public boolean isBackRef()

### isSynthetic

    public boolean isSynthetic()

  Does this property represent a synthetic property? A synthetic property is one we create during metamodel binding to represent a collection of columns but which does not represent a property physically available on the entity.

  Returns:
    True if synthetic; false otherwise.

### getType

    public Type getType()
                 throws MappingException

  Throws:
    `MappingException`

### getColumnSpan

    public int getColumnSpan()

### getColumnIterator

    public Iterator getColumnIterator()

### getName

    public String getName()

### isComposite

    public boolean isComposite()

### getValue

    public Value getValue()

### isPrimitive

    public boolean isPrimitive(Class clazz)

### getCascadeStyle

    public CascadeStyle getCascadeStyle()
                                 throws MappingException

  Throws:
    `MappingException`

### getCascade

    public String getCascade()

### setCascade

    public void setCascade(String cascade)

### setName

    public void setName(String name)

### setValue

    public void setValue(Value value)

### isUpdateable

    public boolean isUpdateable()

### isInsertable

    public boolean isInsertable()

### getGeneration

    public PropertyGeneration getGeneration()

### setGeneration

    public void setGeneration(PropertyGeneration generation)

### setUpdateable

    public void setUpdateable(boolean mutable)

### setInsertable

    public void setInsertable(boolean insertable)

### getPropertyAccessorName

    public String getPropertyAccessorName()

### setPropertyAccessorName

    public void setPropertyAccessorName(String string)

### isBasicPropertyAccessor

    public boolean isBasicPropertyAccessor()

### getMetaAttributes

    public Map getMetaAttributes()

  Specified by:
    `getMetaAttributes` in interface `MetaAttributable`

### getMetaAttribute

    public MetaAttribute getMetaAttribute(String attributeName)

  Specified by:
    `getMetaAttribute` in interface `MetaAttributable`

### setMetaAttributes

    public void setMetaAttributes(Map metas)

  Specified by:
    `setMetaAttributes` in interface `MetaAttributable`

### isValid

    public boolean isValid(Mapping mapping)
                    throws MappingException

  Throws:
    `MappingException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setLazy

    public void setLazy(boolean lazy)

### isLazy

    public boolean isLazy()

### isOptimisticLocked

    public boolean isOptimisticLocked()

### setOptimisticLocked

    public void setOptimisticLocked(boolean optimisticLocked)

### isOptional

    public boolean isOptional()

### setOptional

    public void setOptional(boolean optional)

### getPersistentClass

    public PersistentClass getPersistentClass()

### setPersistentClass

    public void setPersistentClass(PersistentClass persistentClass)

### isSelectable

    public boolean isSelectable()

### setSelectable

    public void setSelectable(boolean selectable)

### getNodeName

    public String getNodeName()

### setNodeName

    public void setNodeName(String nodeName)

### getAccessorPropertyName

    public String getAccessorPropertyName(EntityMode mode)

### getGetter

    public Getter getGetter(Class clazz)
                     throws PropertyNotFoundException,
                            MappingException

  Throws:
    `PropertyNotFoundException`
    `MappingException`

### getSetter

    public Setter getSetter(Class clazz)
                     throws PropertyNotFoundException,
                            MappingException

  Throws:
    `PropertyNotFoundException`
    `MappingException`

### getPropertyAccessor

    public PropertyAccessor getPropertyAccessor(Class clazz)
                                         throws MappingException

  Throws:
    `MappingException`

### isNaturalIdentifier

    public boolean isNaturalIdentifier()

### setNaturalIdentifier

    public void setNaturalIdentifier(boolean naturalIdentifier)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.